package com.sun.nio.sctp;

import jdk.Exported;

@Exported
public class AbstractNotificationHandler<T> implements NotificationHandler<T>
{
    protected AbstractNotificationHandler() {
    }
    
    @Override
    public HandlerResult handleNotification(Notification notification, T t) {
        return HandlerResult.CONTINUE;
    }
    
    public HandlerResult handleNotification(AssociationChangeNotification associationChangeNotification, T t) {
        return HandlerResult.CONTINUE;
    }
    
    public HandlerResult handleNotification(PeerAddressChangeNotification peerAddressChangeNotification, T t) {
        return HandlerResult.CONTINUE;
    }
    
    public HandlerResult handleNotification(SendFailedNotification sendFailedNotification, T t) {
        return HandlerResult.CONTINUE;
    }
    
    public HandlerResult handleNotification(ShutdownNotification shutdownNotification, T t) {
        return HandlerResult.CONTINUE;
    }
}
